View Issue Details

IDProjectCategoryView StatusLast Update
0002193Industrial-Craft²general / otherpublic2018-01-23 19:29
Reporterdisba1ancerAssigned ToChocohead 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0002193: Items with GUI cause server crash
DescriptionItems with GUI (like Cropnalyzer, Containment Box, etc.) can be dropped when opened and cause server crash. It can be reproduced in singleplayer too.
Steps To Reproduce1. Open GUI of item.
2. Drop this item from inventory.
3. Disconnect from server.
Server crashes.
TagsNo tags attached.
Minecraft Version1.10.2

Relationships

related to 0002200 resolvedChocohead Server Crash while use the Tool Box or Cropnalyzer 

Activities

Chocohead

2017-05-29 16:04

developer   ~0005276

Can you upload the crash file so I can take a look please?

disba1ancer

2017-05-30 13:56

reporter  

client-singleplayer.log (247,582 bytes)

disba1ancer

2017-05-30 13:56

reporter  

crash-2017-05-28_19.18.13-client.txt (21,874 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
  TransformerLoader (OpenComputers-MC1.10.2-1.6.2.81-dev.jar)
  IC2core (industrialcraft-2-2.6.228-ex110.jar)
  NEICorePlugin (NotEnoughItems-1.10.2-2.1.3.220-universal.jar)
  ChiselCorePlugin (Chisel-MC1.10.2-0.0.10.22.jar)
  EnderCorePlugin (EnderCore-1.10.2-0.4.1.66-beta.jar)
  AppEngCore (appliedenergistics2-rv4-alpha-11.jar)
  CCLCorePlugin (CodeChickenLib-1.10.2-2.5.8.255-universal.jar)
  FMLPlugin (InventoryTweaks-1.61-58.jar)
  CoFH Loading Plugin (CoFHCore-1.10.2-4.1.1.156-universal.jar)
  CorePlugin (MrTJPCore-1.10.2-2.0.0.17-universal.jar)
Contact their authors BEFORE contacting forge

// But it works on my machine.

Time: 28.05.17 19:18
Description: Updating screen events

com.google.common.util.concurrent.UncheckedExecutionException: java.lang.IllegalArgumentException: empty stack: 0xic2.cropnalyzer@0
	at com.google.common.util.concurrent.Futures.wrapAndThrowUnchecked(Futures.java:1437)
	at com.google.common.util.concurrent.Futures.getUnchecked(Futures.java:1423)
	at net.minecraft.server.integrated.IntegratedServer.func_71263_m(IntegratedServer.java:477)
	at net.minecraft.client.Minecraft.func_71353_a(Minecraft.java:2377)
	at net.minecraft.client.Minecraft.func_71403_a(Minecraft.java:2359)
	at net.minecraft.client.gui.GuiIngameMenu.func_146284_a(GuiIngameMenu.java:52)
	at net.minecraft.client.gui.GuiScreen.func_73864_a(GuiScreen.java:460)
	at net.minecraft.client.gui.GuiScreen.func_146274_d(GuiScreen.java:548)
	at net.minecraft.client.gui.GuiScreen.func_146269_k(GuiScreen.java:517)
	at net.minecraft.client.Minecraft.func_71407_l(Minecraft.java:1700)
	at net.minecraft.client.Minecraft.func_71411_J(Minecraft.java:1055)
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:371)
	at net.minecraft.client.main.Main.main(SourceFile:124)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)
Caused by: java.lang.IllegalArgumentException: empty stack: 0xic2.cropnalyzer@0
	at ic2.core.util.StackUtil.copyWithSize(StackUtil.java:999)
	at ic2.core.item.tool.HandHeldInventory.save(HandHeldInventory.java:206)
	at ic2.core.item.tool.HandHeldInventory.onGuiClosed(HandHeldInventory.java:150)
	at ic2.core.item.tool.HandHeldCropnalyzer.onGuiClosed(HandHeldCropnalyzer.java:61)
	at ic2.core.item.ContainerHandHeldInventory.func_75134_a(ContainerHandHeldInventory.java:35)
	at net.minecraft.entity.player.EntityPlayer.func_70106_y(EntityPlayer.java:1484)
	at net.minecraft.world.World.func_72900_e(World.java:1166)
	at net.minecraft.server.management.PlayerList.func_72367_e(PlayerList.java:403)
	at net.minecraft.server.integrated.IntegratedServer$3.run(IntegratedServer.java:483)
	at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
	at java.util.concurrent.FutureTask.run(Unknown Source)
	at net.minecraft.util.Util.func_181617_a(SourceFile:45)
	at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:234)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:471)
	at java.lang.Thread.run(Unknown Source)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Client thread
Stacktrace:
	at com.google.common.util.concurrent.Futures.wrapAndThrowUnchecked(Futures.java:1437)
	at com.google.common.util.concurrent.Futures.getUnchecked(Futures.java:1423)
	at net.minecraft.server.integrated.IntegratedServer.func_71263_m(IntegratedServer.java:477)
	at net.minecraft.client.Minecraft.func_71353_a(Minecraft.java:2377)
	at net.minecraft.client.Minecraft.func_71403_a(Minecraft.java:2359)
	at net.minecraft.client.gui.GuiIngameMenu.func_146284_a(GuiIngameMenu.java:52)
	at net.minecraft.client.gui.GuiScreen.func_73864_a(GuiScreen.java:460)
	at net.minecraft.client.gui.GuiScreen.func_146274_d(GuiScreen.java:548)
	at net.minecraft.client.gui.GuiScreen.func_146269_k(GuiScreen.java:517)

-- Affected screen --
Details:
	Screen name: net.minecraft.client.gui.GuiIngameMenu

-- Affected level --
Details:
	Level name: MpServer
	All players: 1 total; [EntityPlayerSP['D1SBALANCER'/230, l='MpServer', x=-235,33, y=68,00, z=52,01]]
	Chunk stats: MultiplayerChunkCache: 81, 81
	Level seed: 0
	Level generator: ID 00 - default, ver 1. Features enabled: false
	Level generator options: 
	Level spawn location: World: (-236,64,20), Chunk: (at 4,4,4 in -15,1; contains blocks -240,0,16 to -225,255,31), Region: (-1,0; contains chunks -32,0 to -1,31, blocks -512,0,0 to -1,255,511)
	Level time: 3499111 game time, 3977794 day time
	Level dimension: 0
	Level storage version: 0x00000 - Unknown?
	Level weather: Rain time: 0 (now: true), thunder time: 0 (now: false)
	Level game mode: Game mode: creative (ID 1). Hardcore: false. Cheats: false
	Forced entities: 53 total; [EntityButterfly['Пяденица Клеверная'/23938, l='MpServer', x=-275,25, y=75,00, z=26,35], EntityZombie['Зомби'/44290, l='MpServer', x=-233,48, y=51,00, z=52,20], EntitySkeleton['Скелет'/49544, l='MpServer', x=-209,50, y=66,00, z=47,88], EntityCreeper['Крипер'/49801, l='MpServer', x=-226,50, y=51,00, z=60,86], EntityBat['Летучая мышь'/50187, l='MpServer', x=-230,72, y=35,49, z=97,20], EntityBat['Летучая мышь'/46220, l='MpServer', x=-235,43, y=48,10, z=57,75], EntityCreeper['Крипер'/32782, l='MpServer', x=-250,16, y=50,00, z=49,39], EntityChicken['Курица'/143, l='MpServer', x=-264,85, y=69,00, z=23,54], EntityZombie['Зомби'/49557, l='MpServer', x=-244,70, y=68,00, z=21,64], EntityZombie['Зомби'/49695, l='MpServer', x=-244,04, y=68,00, z=20,85], EntityZombie['Зомби'/49957, l='MpServer', x=-237,50, y=14,00, z=82,50], EntityZombie['Зомби'/49958, l='MpServer', x=-239,50, y=14,00, z=82,50], EntityZombie['Зомби'/49703, l='MpServer', x=-234,87, y=62,17, z=66,49], EntityZombie['Зомби'/49959, l='MpServer', x=-240,50, y=14,00, z=82,50], EntityBat['Летучая мышь'/50099, l='MpServer', x=-200,08, y=16,13, z=45,65], EntityCreeper['Крипер'/49974, l='MpServer', x=-247,50, y=44,00, z=47,50], EntityZombie['Зомби'/49335, l='MpServer', x=-243,80, y=68,00, z=21,58], EntitySkeleton['Скелет'/49977, l='MpServer', x=-241,50, y=37,00, z=11,50], EntitySpider['Паук'/49851, l='MpServer', x=-276,05, y=74,00, z=8,00], EntityCreeper['Крипер'/36797, l='MpServer', x=-215,19, y=52,00, z=47,53], EntityBlitz['Blitz'/49597, l='MpServer', x=-230,50, y=35,00, z=50,50], EntityCreeper['Крипер'/49216, l='MpServer', x=-251,64, y=50,00, z=49,50], EntitySkeleton['Скелет'/37701, l='MpServer', x=-250,50, y=50,00, z=44,50], EntityCreeper['Крипер'/43205, l='MpServer', x=-230,67, y=35,00, z=48,16], EntityZombie['Зомби'/49861, l='MpServer', x=-244,66, y=68,00, z=21,01], EntityEnderman['Эндермен'/37702, l='MpServer', x=-250,50, y=50,00, z=44,50], EntitySpider['Паук'/49607, l='MpServer', x=-265,99, y=68,00, z=53,00], EntitySkeleton['Скелет'/45768, l='MpServer', x=-222,50, y=41,00, z=40,79], EntitySkeleton['Скелет'/49608, l='MpServer', x=-259,20, y=71,00, z=39,33], EntityCreeper['Крипер'/40396, l='MpServer', x=-211,50, y=56,00, z=35,50], EntityCreeper['Крипер'/44748, l='MpServer', x=-250,90, y=50,00, z=49,55], EntityCreeper['Крипер'/49868, l='MpServer', x=-222,53, y=51,00, z=75,23], EntityBat['Летучая мышь'/49741, l='MpServer', x=-239,55, y=18,02, z=80,89], EntitySkeleton['Скелет'/39630, l='MpServer', x=-235,70, y=43,00, z=59,30], EntityCreeper['Крипер'/49874, l='MpServer', x=-226,50, y=51,00, z=60,24], EntitySkeleton['Скелет'/49880, l='MpServer', x=-234,54, y=13,00, z=76,75], EntityZombie['Зомби'/43353, l='MpServer', x=-244,24, y=68,00, z=21,57], EntityZombie['Зомби'/49753, l='MpServer', x=-208,18, y=62,45, z=32,45], EntityBat['Летучая мышь'/50009, l='MpServer', x=-206,51, y=20,04, z=78,36], EntityZombie['Зомби'/49506, l='MpServer', x=-244,22, y=68,00, z=21,85], EntityZombie['Зомби'/49509, l='MpServer', x=-244,21, y=68,00, z=21,29], EntityPlayerSP['D1SBALANCER'/230, l='MpServer', x=-235,33, y=68,00, z=52,01], EntitySkeleton['Скелет'/45928, l='MpServer', x=-254,50, y=50,00, z=41,50], EntitySkeleton['Скелет'/50024, l='MpServer', x=-256,50, y=14,00, z=99,50], EntityItem['item.item.reeds'/49129, l='MpServer', x=-256,93, y=70,00, z=21,08], EntityZombie['Зомби'/49900, l='MpServer', x=-256,81, y=20,00, z=28,49], EntitySkeleton['Скелет'/50160, l='MpServer', x=-246,50, y=15,00, z=83,50], EntityBat['Летучая мышь'/43256, l='MpServer', x=-225,48, y=55,10, z=46,45], EntityBat['Летучая мышь'/49912, l='MpServer', x=-216,85, y=19,10, z=58,49], EntitySkeleton['Скелет'/33659, l='MpServer', x=-231,38, y=44,00, z=60,79], EntityCreeper['Крипер'/49276, l='MpServer', x=-231,14, y=39,00, z=43,45], EntityBat['Летучая мышь'/50045, l='MpServer', x=-251,50, y=27,85, z=76,61], EntityVillager['Деревенщина'/126, l='MpServer', x=-244,21, y=71,00, z=24,58]]
	Retry entities: 0 total; []
	Server brand: fml,forge
	Server type: Integrated singleplayer server
Stacktrace:
	at net.minecraft.client.multiplayer.WorldClient.func_72914_a(WorldClient.java:524)
	at net.minecraft.client.Minecraft.func_71396_d(Minecraft.java:2660)
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:392)
	at net.minecraft.client.main.Main.main(SourceFile:124)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)

-- System Details --
Details:
	Minecraft Version: 1.10.2
	Operating System: Windows 10 (amd64) version 10.0
	Java Version: 1.8.0_131, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 193361840 bytes (184 MB) / 2110259200 bytes (2012 MB) up to 2110259200 bytes (2012 MB)
	Mod Pack: com.mumfrey.liteloader.crashreport.CallableLiteLoaderBrand@7133075e
	LiteLoader Mods: com.mumfrey.liteloader.crashreport.CallableLiteLoaderMods@4026cd17
	LaunchWrapper: com.mumfrey.liteloader.crashreport.CallableLaunchWrapper@3460246f
	JVM Flags: 2 total; -Xms1024M -Xmx2048M
	IntCache: cache: 0, tcache: 0, allocated: 13, tallocated: 95
	FML: MCP 9.32 Powered by Forge 12.18.3.2185 Optifine OptiFine_1.10.2_HD_U_D8 34 mods loaded, 34 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHIJAAAA	mcp{9.19} [Minecraft Coder Pack] (minecraft.jar) 
	UCHIJAAAA	FML{8.0.99.99} [Forge Mod Loader] (forge-1.10.2-12.18.3.2185.jar) 
	UCHIJAAAA	Forge{12.18.3.2185} [Minecraft Forge] (forge-1.10.2-12.18.3.2185.jar) 
	UCHIJAAAA	appliedenergistics2-core{rv4-alpha-11} [Applied Energistics 2 Core] (minecraft.jar) 
	UCHIJAAAA	NotEnoughItems{2.1.3.220} [Not Enough Items] (NotEnoughItems-1.10.2-2.1.3.220-universal.jar) 
	UCHIJAAAA	OpenComputers|Core{1.6.2.81-dev} [OpenComputers (Core)] (minecraft.jar) 
	UCHIJAAAA	<CoFH ASM>{000} [CoFH ASM] (minecraft.jar) 
	UCHIJAAAA	ccl-entityhook{1.0} [ccl-entityhook] (CodeChickenLib-1.10.2-2.5.8.255-universal.jar) 
	UCHIJAAAA	appliedenergistics2{rv4-alpha-11} [Applied Energistics 2] (appliedenergistics2-rv4-alpha-11.jar) 
	UCHIJAAAA	chisel{MC1.10.2-0.0.10.22} [Chisel] (Chisel-MC1.10.2-0.0.10.22.jar) 
	UCHIJAAAA	CodeChickenLib{2.5.8.255} [CodeChicken Lib] (CodeChickenLib-1.10.2-2.5.8.255-universal.jar) 
	UCHIJAAAA	CodeChickenCore{2.4.1.102} [CodeChicken Core] (CodeChickenCore-1.10.2-2.4.1.102-universal.jar) 
	UCHIJAAAA	cofhcore{4.1.1} [CoFH Core] (CoFHCore-1.10.2-4.1.1.156-universal.jar) 
	UCHIJAAAA	IC2{2.6.228-ex110} [IndustrialCraft 2] (industrialcraft-2-2.6.228-ex110.jar) 
	UCHIJAAAA	compactsolars{1.10.2-5.0.8.331} [Compact Solar Arrays] (CompactSolars-1.10.2-5.0.8.331-universal.jar) 
	UCHIJAAAA	endercore{1.10.2-0.4.1.66-beta} [EnderCore] (EnderCore-1.10.2-0.4.1.66-beta.jar) 
	UCHIJAAAA	JEI{3.14.7.419} [Just Enough Items] (jei_1.10.2-3.14.7.419.jar) 
	UCHIJAAAA	Waila{1.7.0} [Waila] (Waila-1.7.0-B3_1.9.4.jar) 
	UCHIJAAAA	EnderIO{1.10.2-3.1.183} [Ender IO] (EnderIO-1.10.2-3.1.183.jar) 
	UCHIJAAAA	forestry{5.2.17.376} [Forestry] (forestry_1.10.2-5.2.17.376.jar) 
	UCHIJAAAA	forgemultipartcbe{2.0.0.31} [Forge Multipart CBE] (ForgeMultipart-1.10.2-2.0.0.31-universal.jar) 
	UCHIJAAAA	microblockcbe{2.0.0.31} [Forge Microblocks] (ForgeMultipart-1.10.2-2.0.0.31-universal.jar) 
	UCHIJAAAA	minecraftmultipartcbe{2.0.0.31} [Minecraft Multipart Plugin] (ForgeMultipart-1.10.2-2.0.0.31-universal.jar) 
	UCHIJAAAA	inventorytweaks{1.61-58-a1fd884} [Inventory Tweaks] (InventoryTweaks-1.61-58.jar) 
	UCHIJAAAA	ironchest{1.10.2-7.0.12.801} [Iron Chest] (ironchest-1.10.2-7.0.12.801.jar) 
	UCHIJAAAA	journeymap{1.10.2-5.4.6} [JourneyMap] (journeymap-1.10.2-5.4.6.jar) 
	UCHIJAAAA	MrTJPCoreMod{2.0.0.17} [MrTJPCore] (MrTJPCore-1.10.2-2.0.0.17-universal.jar) 
	UCHIJAAAA	OpenComputers{1.6.2.81-dev} [OpenComputers] (OpenComputers-MC1.10.2-1.6.2.81-dev.jar) 
	UCHIJAAAA	projectred-core{4.8.1.30} [ProjectRed Core] (ProjectRed-1.10.2-4.8.1.30-Base.jar) 
	UCHIJAAAA	projectred-integration{4.8.1.30} [ProjectRed integration] (ProjectRed-1.10.2-4.8.1.30-integration.jar) 
	UCHIJAAAA	projectred-transmission{4.8.1.30} [ProjectRed Transmission] (ProjectRed-1.10.2-4.8.1.30-integration.jar) 
	UCHIJAAAA	projectred-illumination{4.8.1.30} [ProjectRed Illumination] (ProjectRed-1.10.2-4.8.1.30-lighting.jar) 
	UCHIJAAAA	thermalfoundation{2.0.5} [Thermal Foundation] (ThermalFoundation-1.10.2-2.0.5.81-universal.jar) 
	UCHIJAAAA	thermalexpansion{5.0.4} [Thermal Expansion] (ThermalExpansion-1.10.2-5.0.4.90-universal.jar) 
	Loaded coremods (and transformers): 
TransformerLoader (OpenComputers-MC1.10.2-1.6.2.81-dev.jar)
  li.cil.oc.common.asm.ClassTransformer
IC2core (industrialcraft-2-2.6.228-ex110.jar)
  
NEICorePlugin (NotEnoughItems-1.10.2-2.1.3.220-universal.jar)
  codechicken.nei.asm.NEITransformer
ChiselCorePlugin (Chisel-MC1.10.2-0.0.10.22.jar)
  team.chisel.common.asm.ChiselTransformer
EnderCorePlugin (EnderCore-1.10.2-0.4.1.66-beta.jar)
  com.enderio.core.common.transform.EnderCoreTransformer
AppEngCore (appliedenergistics2-rv4-alpha-11.jar)
  appeng.coremod.transformer.ASMIntegration
CCLCorePlugin (CodeChickenLib-1.10.2-2.5.8.255-universal.jar)
  codechicken.lib.asm.ClassHeirachyManager
  codechicken.lib.asm.CCL_ASMTransformer
FMLPlugin (InventoryTweaks-1.61-58.jar)
  invtweaks.forge.asm.ContainerTransformer
CoFH Loading Plugin (CoFHCore-1.10.2-4.1.1.156-universal.jar)
  cofh.asm.CoFHClassTransformer
  cofh.asm.repack.codechicken.lib.asm.ClassHierarchyManager
CorePlugin (MrTJPCore-1.10.2-2.0.0.17-universal.jar)
  
	GL info: ' Vendor: 'NVIDIA Corporation' Version: '4.5.0 NVIDIA 381.65' Renderer: 'GeForce GT 630M/PCIe/SSE2'
	AE2 Version: alpha rv4-alpha-11 for Forge 12.18.3.2185
	NotEnoughItems Invalid Fingerprint Reports: 
	CodeChickenLib Invalid Fingerprint Reports: 
	CodeChickenCore Invalid Fingerprint Reports: 
	EnderIO: Found the following problem(s) with your installation (That does NOT mean that Ender IO caused the crash or was involved in it in any way. We add this information to help finding common problems, not as an invitation to post any crash you encounter to Ender IO's issue tracker. Always check the stack trace above to see which mod is most likely failing.):
                  * Optifine is installed. This is NOT supported.
                 This may (look up the meaning of 'may' in the dictionary if you're not sure what it means) have caused the error. Try reproducing the crash WITHOUT this/these mod(s) before reporting it.
	Detailed RF API diagnostics:
                  * RF API class 'EnergyStorage' is loaded from: jar:file:/C:/Users/Anton/AppData/Local/ttyh_minecraft/client_industrial/prefixes/1.10.2/mods/1.10.2/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/EnergyStorage.class
                  * RF API class 'IEnergyConnection' is loaded from: jar:file:/C:/Users/Anton/AppData/Local/ttyh_minecraft/client_industrial/prefixes/1.10.2/mods/1.10.2/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/IEnergyConnection.class
                  * RF API class 'IEnergyContainerItem' is loaded from: jar:file:/C:/Users/Anton/AppData/Local/ttyh_minecraft/client_industrial/prefixes/1.10.2/mods/1.10.2/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/IEnergyContainerItem.class
                  * RF API class 'IEnergyHandler' is loaded from: jar:file:/C:/Users/Anton/AppData/Local/ttyh_minecraft/client_industrial/prefixes/1.10.2/mods/1.10.2/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/IEnergyHandler.class
                  * RF API class 'IEnergyProvider' is loaded from: jar:file:/C:/Users/Anton/AppData/Local/ttyh_minecraft/client_industrial/prefixes/1.10.2/mods/1.10.2/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/IEnergyProvider.class
                  * RF API class 'IEnergyReceiver' is loaded from: jar:file:/C:/Users/Anton/AppData/Local/ttyh_minecraft/client_industrial/prefixes/1.10.2/mods/1.10.2/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/IEnergyReceiver.class
                  * RF API class 'IEnergyStorage' is loaded from: jar:file:/C:/Users/Anton/AppData/Local/ttyh_minecraft/client_industrial/prefixes/1.10.2/mods/1.10.2/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/IEnergyStorage.class
                  * RF API class 'ItemEnergyContainer' is loaded from: jar:file:/C:/Users/Anton/AppData/Local/ttyh_minecraft/client_industrial/prefixes/1.10.2/mods/1.10.2/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/ItemEnergyContainer.class
                  * RF API class 'TileEnergyHandler' is loaded from: jar:file:/C:/Users/Anton/AppData/Local/ttyh_minecraft/client_industrial/prefixes/1.10.2/mods/1.10.2/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/TileEnergyHandler.class
	Detailed Tesla API diagnostics:
                  * Tesla API class 'Tesla' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.Tesla)
                  * Tesla API class 'TeslaCapabilities' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.capability.TeslaCapabilities)
                  * Tesla API class 'ITeslaConsumer' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.ITeslaConsumer)
                  * Tesla API class 'ITeslaHolder' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.ITeslaHolder)
                  * Tesla API class 'ITeslaProducer' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.ITeslaProducer)
                  * Tesla API class 'BaseTeslaContainer' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.implementation.BaseTeslaContainer)
                  * Tesla API class 'BaseTeslaContainerProvider' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.implementation.BaseTeslaContainerProvider)
                  * Tesla API class 'InfiniteTeslaConsumer' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.implementation.InfiniteTeslaConsumer)
                  * Tesla API class 'InfiniteTeslaConsumerProvider' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.implementation.InfiniteTeslaConsumerProvider)
                  * Tesla API class 'InfiniteTeslaProducer' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.implementation.InfiniteTeslaProducer)
                  * Tesla API class 'InfiniteTeslaProducerProvider' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.implementation.InfiniteTeslaProducerProvider)

	!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	!!!You are looking at the diagnostics information, not at the crash. Scroll up!!!
	!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

	AE2 Integration: IC2:ON, RC:OFF, RF:OFF, RFItem:OFF, MFR:OFF, Waila:ON, InvTweaks:OFF, JEI:ON, Mekanism:OFF, OpenComputers:OFF, THE_ONE_PROBE:OFF
	Launched Version: 1.10.2
	LWJGL: 2.9.4
	OpenGL: GeForce GT 630M/PCIe/SSE2 GL version 4.5.0 NVIDIA 381.65, NVIDIA Corporation
	GL Caps: Using GL 1.3 multitexturing.
Using GL 1.3 texture combiners.
Using framebuffer objects because OpenGL 3.0 is supported and separate blending is supported.
Shaders are available because OpenGL 2.1 is supported.
VBOs are available because OpenGL 1.5 is supported.

	Using VBOs: Yes
	Is Modded: Definitely; Client brand changed to 'fml,forge'
	Type: Client (map_client.txt)
	Resource Packs: DefFont.zip
	Current Language: Русский (Россия)
	Profiler Position: N/A (disabled)
	CPU: 4x Intel(R) Core(TM) i5-2410M CPU @ 2.30GHz
	OptiFine Version: OptiFine_1.10.2_HD_U_D8
	Render Distance Chunks: 4
	Mipmaps: 4
	Anisotropic Filtering: 1
	Antialiasing: 0
	Multitexture: false
	Shaders: null
	OpenGlVersion: 4.5.0 NVIDIA 381.65
	OpenGlRenderer: GeForce GT 630M/PCIe/SSE2
	OpenGlVendor: NVIDIA Corporation
	CpuCount: 4

disba1ancer

2017-05-30 13:57

reporter  

server.log (5,989 bytes)

disba1ancer

2017-05-30 13:57

reporter  

crash-2017-05-23_23.11.12-server.txt (12,272 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
  IC2core (industrialcraft-2-2.6.207-ex110.jar)
  AppEngCore (appliedenergistics2-rv4-alpha-11-sponge.jar)
  TransformerLoader (OpenComputers-MC1.10.2-1.6.2.81-dev.jar)
  ChiselCorePlugin (Chisel-MC1.10.2-0.0.10.22.jar)
  EnderCorePlugin (EnderCore-1.10.2-0.4.1.66-beta.jar)
  CCLCorePlugin (CodeChickenLib-1.10.2-2.5.8.255-universal.jar)
  CoFH Loading Plugin (CoFHCore-1.10.2-4.1.1.156-universal.jar)
  CorePlugin (MrTJPCore-1.10.2-2.0.0.17-universal.jar)
  SpongeCoremod (spongeforge-1.10.2-2254-5.2.0-BETA-2254.jar)
Contact their authors BEFORE contacting forge

// Uh... Did I do that?

Time: 23.05.17 23:11
Description: Exception in server tick loop

java.lang.IllegalArgumentException: empty stack: 0xic2.tool_box@0
	at ic2.core.util.StackUtil.copyWithSize(StackUtil.java:999)
	at ic2.core.item.tool.HandHeldInventory.save(HandHeldInventory.java:206)
	at ic2.core.item.tool.HandHeldInventory.onGuiClosed(HandHeldInventory.java:150)
	at ic2.core.item.ContainerHandHeldInventory.func_75134_a(ContainerHandHeldInventory.java:35)
	at net.minecraft.entity.player.EntityPlayer.func_70106_y(EntityPlayer.java:1484)
	at net.minecraft.world.World.func_72900_e(World.java:1166)
	at net.minecraft.server.management.PlayerList.redirect$onPlayerRemoveFromWorldFromDisconnect$zho000(PlayerList.java:2002)
	at net.minecraft.server.management.PlayerList.func_72367_e(PlayerList.java:403)
	at net.minecraft.network.NetHandlerPlayServer.func_147231_a(NetHandlerPlayServer.java:804)
	at net.minecraft.network.NetworkManager.func_179293_l(NetworkManager.java:455)
	at net.minecraft.network.NetworkSystem.func_151269_c(NetworkSystem.java:213)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:732)
	at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:387)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:613)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:471)
	at java.lang.Thread.run(Thread.java:745)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
Details:
	Minecraft Version: 1.10.2
	Operating System: Linux (amd64) version 3.16.0-4-amd64
	Java Version: 1.8.0_111, Oracle Corporation
	Java VM Version: OpenJDK 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 709832184 bytes (676 MB) / 1720811520 bytes (1641 MB) up to 2121334784 bytes (2023 MB)
	JVM Flags: 5 total; -Xincgc -Xms1024M -Xmx2048M -XX:MaxPermSize=256M -XX:ParallelGCThreads=3
	IntCache: cache: 0, tcache: 0, allocated: 12, tallocated: 94
	FML: MCP 9.32 Powered by Forge 12.18.3.2185 36 mods loaded, 36 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHIJAAAA	mcp{9.19} [Minecraft Coder Pack] (minecraft.jar) 
	UCHIJAAAA	FML{8.0.99.99} [Forge Mod Loader] (forge-1.10.2-12.18.3.2185-universal.jar) 
	UCHIJAAAA	Forge{12.18.3.2185} [Minecraft Forge] (forge-1.10.2-12.18.3.2185-universal.jar) 
	UCHIJAAAA	appliedenergistics2-core{rv4-alpha-11} [Applied Energistics 2 Core] (minecraft.jar) 
	UCHIJAAAA	OpenComputers|Core{1.6.2.81-dev} [OpenComputers (Core)] (minecraft.jar) 
	UCHIJAAAA	spongeapi{5.2.0-SNAPSHOT-a3257a0} [SpongeAPI] (minecraft.jar) 
	UCHIJAAAA	sponge{1.10.2-2254-5.2.0-BETA-2254} [SpongeForge] (spongeforge-1.10.2-2254-5.2.0-BETA-2254.jar) 
	UCHIJAAAA	<CoFH ASM>{000} [CoFH ASM] (minecraft.jar) 
	UCHIJAAAA	ccl-entityhook{1.0} [ccl-entityhook] (CodeChickenLib-1.10.2-2.5.8.255-universal.jar) 
	UCHIJAAAA	appliedenergistics2{rv4-alpha-11} [Applied Energistics 2] (appliedenergistics2-rv4-alpha-11-sponge.jar) 
	UCHIJAAAA	chisel{MC1.10.2-0.0.10.22} [Chisel] (Chisel-MC1.10.2-0.0.10.22.jar) 
	UCHIJAAAA	CodeChickenLib{2.5.8.255} [CodeChicken Lib] (CodeChickenLib-1.10.2-2.5.8.255-universal.jar) 
	UCHIJAAAA	cofhcore{4.1.1} [CoFH Core] (CoFHCore-1.10.2-4.1.1.156-universal.jar) 
	UCHIJAAAA	IC2{2.6.207-ex110} [IndustrialCraft 2] (industrialcraft-2-2.6.207-ex110.jar) 
	UCHIJAAAA	compactsolars{1.10.2-5.0.8.331} [Compact Solar Arrays] (CompactSolars-1.10.2-5.0.8.331-universal.jar) 
	UCHIJAAAA	Dynmap{2.4-8} [Dynmap] (Dynmap-2.4-forge-1.10.2.jar) 
	UCHIJAAAA	endercore{1.10.2-0.4.1.66-beta} [EnderCore] (EnderCore-1.10.2-0.4.1.66-beta.jar) 
	UCHIJAAAA	EnderIO{1.10.2-3.1.183} [Ender IO] (EnderIO-1.10.2-3.1.183.jar) 
	UCHIJAAAA	forestry{5.2.17.376} [Forestry] (forestry_1.10.2-5.2.17.376.jar) 
	UCHIJAAAA	forgemultipartcbe{2.0.0.31} [Forge Multipart CBE] (ForgeMultipart-1.10.2-2.0.0.31-universal.jar) 
	UCHIJAAAA	microblockcbe{2.0.0.31} [Forge Microblocks] (ForgeMultipart-1.10.2-2.0.0.31-universal.jar) 
	UCHIJAAAA	minecraftmultipartcbe{2.0.0.31} [Minecraft Multipart Plugin] (ForgeMultipart-1.10.2-2.0.0.31-universal.jar) 
	UCHIJAAAA	ironchest{1.10.2-7.0.12.801} [Iron Chest] (ironchest-1.10.2-7.0.12.801.jar) 
	UCHIJAAAA	MrTJPCoreMod{2.0.0.17} [MrTJPCore] (MrTJPCore-1.10.2-2.0.0.17-universal.jar) 
	UCHIJAAAA	OpenComputers{1.6.2.81-dev} [OpenComputers] (OpenComputers-MC1.10.2-1.6.2.81-dev.jar) 
	UCHIJAAAA	projectred-core{4.8.1.30} [ProjectRed Core] (ProjectRed-1.10.2-4.8.1.30-Base.jar) 
	UCHIJAAAA	projectred-integration{4.8.1.30} [ProjectRed integration] (ProjectRed-1.10.2-4.8.1.30-integration.jar) 
	UCHIJAAAA	projectred-transmission{4.8.1.30} [ProjectRed Transmission] (ProjectRed-1.10.2-4.8.1.30-integration.jar) 
	UCHIJAAAA	projectred-illumination{4.8.1.30} [ProjectRed Illumination] (ProjectRed-1.10.2-4.8.1.30-lighting.jar) 
	UCHIJAAAA	thermalfoundation{2.0.5} [Thermal Foundation] (ThermalFoundation-1.10.2-2.0.5.81-universal.jar) 
	UCHIJAAAA	thermalexpansion{5.0.4} [Thermal Expansion] (ThermalExpansion-1.10.2-5.0.4.90-universal.jar) 
	UCHIJAAAA	worldedit{6.1.4} [WorldEdit] (worldedit-forge-mc1.10.2-6.1.4-dist.jar) 
	UCHIJAAAA	griefprevention{1.10.2-2.3.1.293} [GriefPrevention] (griefprevention-1.10.2-2.3.1.293.jar) 
	UCHIJAAAA	luckperms{3.0.14} [LuckPerms] (LuckPerms-Sponge-3.0.14.jar) 
	UCHIJAAAA	nucleus{0.28.1-S5.1} [Nucleus] (Nucleus-0.28.1-1.10.2-S5.1-plugin.jar) 
	UCHIJAAAA	prism{3.0.0} [Prism] (Prism-3.0.0-beta2-45-gfbbeb2b.jar) 
	Loaded coremods (and transformers): 
IC2core (industrialcraft-2-2.6.207-ex110.jar)
  
AppEngCore (appliedenergistics2-rv4-alpha-11-sponge.jar)
  appeng.coremod.transformer.ASMIntegration
TransformerLoader (OpenComputers-MC1.10.2-1.6.2.81-dev.jar)
  li.cil.oc.common.asm.ClassTransformer
ChiselCorePlugin (Chisel-MC1.10.2-0.0.10.22.jar)
  team.chisel.common.asm.ChiselTransformer
EnderCorePlugin (EnderCore-1.10.2-0.4.1.66-beta.jar)
  com.enderio.core.common.transform.EnderCoreTransformer
CCLCorePlugin (CodeChickenLib-1.10.2-2.5.8.255-universal.jar)
  codechicken.lib.asm.ClassHeirachyManager
  codechicken.lib.asm.CCL_ASMTransformer
CoFH Loading Plugin (CoFHCore-1.10.2-4.1.1.156-universal.jar)
  cofh.asm.CoFHClassTransformer
  cofh.asm.repack.codechicken.lib.asm.ClassHierarchyManager
CorePlugin (MrTJPCore-1.10.2-2.0.0.17-universal.jar)
  
SpongeCoremod (spongeforge-1.10.2-2254-5.2.0-BETA-2254.jar)
  org.spongepowered.common.launch.transformer.SpongeSuperclassTransformer
	AE2 Version: alpha rv4-alpha-11 for Forge 12.18.3.2185
	CodeChickenLib Invalid Fingerprint Reports: 
	EnderIO: Found the following problem(s) with your installation (That does NOT mean that Ender IO caused the crash or was involved in it in any way. We add this information to help finding common problems, not as an invitation to post any crash you encounter to Ender IO's issue tracker. Always check the stack trace above to see which mod is most likely failing.):
                 An unsupported base software is installed: 'sponge'. This is NOT supported.
                 This may (look up the meaning of 'may' in the dictionary if you're not sure what it means) have caused the error. Try reproducing the crash WITHOUT this/these mod(s) before reporting it.
	Detailed RF API diagnostics:
                  * RF API class 'EnergyStorage' is loaded from: jar:file:/home/industrial/stable/mods/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/EnergyStorage.class
                  * RF API class 'IEnergyConnection' is loaded from: jar:file:/home/industrial/stable/mods/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/IEnergyConnection.class
                  * RF API class 'IEnergyContainerItem' is loaded from: jar:file:/home/industrial/stable/mods/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/IEnergyContainerItem.class
                  * RF API class 'IEnergyHandler' is loaded from: jar:file:/home/industrial/stable/mods/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/IEnergyHandler.class
                  * RF API class 'IEnergyProvider' is loaded from: jar:file:/home/industrial/stable/mods/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/IEnergyProvider.class
                  * RF API class 'IEnergyReceiver' is loaded from: jar:file:/home/industrial/stable/mods/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/IEnergyReceiver.class
                  * RF API class 'IEnergyStorage' is loaded from: jar:file:/home/industrial/stable/mods/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/IEnergyStorage.class
                  * RF API class 'ItemEnergyContainer' is loaded from: jar:file:/home/industrial/stable/mods/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/ItemEnergyContainer.class
                  * RF API class 'TileEnergyHandler' is loaded from: jar:file:/home/industrial/stable/mods/CoFHCore-1.10.2-4.1.1.156-universal.jar!/cofh/api/energy/TileEnergyHandler.class
	Detailed Tesla API diagnostics:
                  * Tesla API class 'Tesla' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.Tesla)
                  * Tesla API class 'TeslaCapabilities' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.capability.TeslaCapabilities)
                  * Tesla API class 'ITeslaConsumer' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.ITeslaConsumer)
                  * Tesla API class 'ITeslaHolder' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.ITeslaHolder)
                  * Tesla API class 'ITeslaProducer' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.ITeslaProducer)
                  * Tesla API class 'BaseTeslaContainer' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.implementation.BaseTeslaContainer)
                  * Tesla API class 'BaseTeslaContainerProvider' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.implementation.BaseTeslaContainerProvider)
                  * Tesla API class 'InfiniteTeslaConsumer' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.implementation.InfiniteTeslaConsumer)
                  * Tesla API class 'InfiniteTeslaConsumerProvider' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.implementation.InfiniteTeslaConsumerProvider)
                  * Tesla API class 'InfiniteTeslaProducer' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.implementation.InfiniteTeslaProducer)
                  * Tesla API class 'InfiniteTeslaProducerProvider' could not be loaded (reason: java.lang.ClassNotFoundException: net.darkhax.tesla.api.implementation.InfiniteTeslaProducerProvider)

	!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	!!!You are looking at the diagnostics information, not at the crash. Scroll up!!!
	!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

	AE2 Integration: IC2:ON, RC:OFF, RF:OFF, RFItem:OFF, MFR:OFF, Waila:OFF, Mekanism:OFF, OpenComputers:OFF, THE_ONE_PROBE:OFF
	Profiler Position: N/A (disabled)
	Player Count: 1 / 12; [EntityPlayerMP['D1SBALANCER'/98, l='world', x=-374,62, y=79,00, z=427,84]]
	Is Modded: Definitely; Server brand changed to 'fml,forge,sponge'
	Type: Dedicated Server (map_server.txt)

disba1ancer

2017-05-30 14:00

reporter   ~0005278

Client crashes in singleplayer only.
Only server crashes in multiplayer.

disba1ancer

2017-06-02 13:59

reporter   ~0005286

Version: industrialcraft-2-2.6.228-ex110

Chocohead

2017-06-02 22:14

developer   ~0005289

Looks like a bug that emerged from the preparation for the 1.11 port. Fixed in IC2 2.6.236 and 2.7.61

Issue History

Date Modified Username Field Change
2017-05-29 15:29 disba1ancer New Issue
2017-05-29 16:04 Chocohead Note Added: 0005276
2017-05-30 13:56 disba1ancer File Added: client-singleplayer.log
2017-05-30 13:56 disba1ancer File Added: crash-2017-05-28_19.18.13-client.txt
2017-05-30 13:57 disba1ancer File Added: server.log
2017-05-30 13:57 disba1ancer File Added: crash-2017-05-23_23.11.12-server.txt
2017-05-30 14:00 disba1ancer Note Added: 0005278
2017-06-02 13:59 disba1ancer Note Added: 0005286
2017-06-02 22:14 Chocohead Note Added: 0005289
2017-06-02 22:14 Chocohead Status new => resolved
2017-06-02 22:14 Chocohead Fixed in Version => Builds for MC 1.10.x
2017-06-02 22:14 Chocohead Resolution open => fixed
2017-06-02 22:14 Chocohead Assigned To => Chocohead
2017-06-03 08:24 disba1ancer Status resolved => closed
2017-06-03 13:23 Chocohead Status closed => resolved
2017-06-05 17:09 Chocohead Relationship added related to 0002200